VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::content::library::SubscriptionInfo Class Reference

The `SubscriptionInfo` class defines the subscription behavior for a subscribed library. More...

List of all members.

## Classes
class | AuthenticationMethod
| Indicate how the subscribed library should authenticate with the published library endpoint. More...
## Public Member Functions
| SubscriptionInfo ()
| Creates a default new instance.
vmware.content.library.SubscriptionInfo.AuthenticationMethod | GetAuthenticationMethod ()
| Indicate how the subscribed library should authenticate ( BASIC, NONE) with the published library endpoint.
void | SetAuthenticationMethod (vmware.content.library.SubscriptionInfo.AuthenticationMethod authenticationMethod)
| Indicate how the subscribed library should authenticate ( BASIC, NONE) with the published library endpoint.
bool | GetAutomaticSyncEnabled ()
| Whether the library should participate in automatic library synchronization.
void | SetAutomaticSyncEnabled (bool?automaticSyncEnabled)
| Whether the library should participate in automatic library synchronization.
bool | GetOnDemand ()
| Indicates whether a library item's content will be synchronized only on demand.
void | SetOnDemand (bool?onDemand)
| Indicates whether a library item's content will be synchronized only on demand.
char[] | GetPassword ()
| The password to use when authenticating.
void | SetPassword (char[] password)
| The password to use when authenticating.
string | GetSslThumbprint ()
| An optional SHA-1 hash of the SSL certificate for the remote endpoint.
void | SetSslThumbprint (string sslThumbprint)
| An optional SHA-1 hash of the SSL certificate for the remote endpoint.
global::System.Uri | GetSubscriptionUrl ()
| The URL of the endpoint where the metadata for the remotely published library is being served.
void | SetSubscriptionUrl (global::System.Uri subscriptionUrl)
| The URL of the endpoint where the metadata for the remotely published library is being served.
string | GetUserName ()
| The username to use when authenticating.
void | SetUserName (string userName)
| The username to use when authenticating.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `SubscriptionInfo` class defines the subscription behavior for a subscribed library.

## Constructor & Destructor Documentation

vmware::content::library::SubscriptionInfo::SubscriptionInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::SubscriptionInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::SubscriptionInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::SubscriptionInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::SubscriptionInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::SubscriptionInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::SubscriptionInfo::Equals | ( | object | obj | ) | `[inline]`

vmware.content.library.SubscriptionInfo.AuthenticationMethod vmware::content::library::SubscriptionInfo::GetAuthenticationMethod | ( |  | ) | `[inline]`

Indicate how the subscribed library should authenticate ( BASIC, NONE) with the published library endpoint.

bool vmware::content::library::SubscriptionInfo::GetAutomaticSyncEnabled | ( |  | ) | `[inline]`

Whether the library should participate in automatic library synchronization.

In order for automatic synchronization to happen, the global vmware.content.ConfigurationModel.automaticSyncEnabled option must also be true. The subscription is still active even when automatic synchronization is turned off, but synchronization is only activated with an explicit call to vmware.content.SubscribedLibrary.Sync or SubscribedItem.Sync . In other words, manual synchronization is still available even when automatic synchronization is disabled.

override int vmware::content::library::SubscriptionInfo::GetHashCode | ( |  | ) | `[inline]`

bool vmware::content::library::SubscriptionInfo::GetOnDemand | ( |  | ) | `[inline]`

Indicates whether a library item's content will be synchronized only on demand.

If this is set to `true` , then the library item's metadata will be synchronized but the item's content (its files) will not be synchronized. The Content Library Service will synchronize the content upon request only. This can cause the first use of the content to have a noticeable delay.

Items without synchronized content can be forcefully synchronized in advance using the SubscribedItem.Sync call with {@param.name forceSyncContent} set to true. Once content has been synchronized, the content can removed with the SubscribedItem.Evict call.

If this value is set to `false` , all content will be synchronized in advance.

char [] vmware::content::library::SubscriptionInfo::GetPassword | ( |  | ) | `[inline]`

The password to use when authenticating.

The password must be set when using a password-based authentication method; empty strings are not allowed.

string vmware::content::library::SubscriptionInfo::GetSslThumbprint | ( |  | ) | `[inline]`

An optional SHA-1 hash of the SSL certificate for the remote endpoint.

If this value is defined the SSL certificate will be verified by comparing it to the SSL thumbprint. The SSL certificate must verify against the thumbprint. When specified, the standard certificate chain validation behavior is not used. The certificate chain is validated normally if this value is null.

global::System.Uri vmware::content::library::SubscriptionInfo::GetSubscriptionUrl | ( |  | ) | `[inline]`

The URL of the endpoint where the metadata for the remotely published library is being served.

This URL can be the PublishInfo.publishUrl of the published library (for example, https://server/path/lib.json).

If the source content comes from a published library with PublishInfo.persistJsonEnabled , the subscription URL can be a URL pointing to the library JSON file on a datastore or remote file system. The supported formats are:

vSphere 6.5

- ds:///vmfs/volumes/{uuid}/mylibrary/lib.json (for datastore)
- nfs://server/path/mylibrary/lib.json (for NFSv3 server on vCenter Server Appliance)
- nfs://server/path/mylibrary/lib.json?version=4 (for NFSv4 server on vCenter Server Appliance)
- smb://server/path/mylibrary/lib.json (for SMB server)

vSphere 6.0

- file://server/mylibrary/lib.json (for UNC server on vCenter Server for Windows)
- file:///path/mylibrary/lib.json (for local file system)

When you specify a DS subscription URL, the datastore must be on the same vCenter Server as the subscribed library. When you specify an NFS or SMB subscription URL, the StorageBacking.storageUri of the subscribed library must be on the same remote file server and should share a common parent path with the subscription URL.

string vmware::content::library::SubscriptionInfo::GetUserName | ( |  | ) | `[inline]`

The username to use when authenticating.

The username must be set when using a password-based authentication method. Empty strings are allowed for usernames.

void vmware::content::library::SubscriptionInfo::SetAuthenticationMethod | ( | vmware.content.library.SubscriptionInfo.AuthenticationMethod | authenticationMethod | ) | `[inline]`

Indicate how the subscribed library should authenticate ( BASIC, NONE) with the published library endpoint.

void vmware::content::library::SubscriptionInfo::SetAutomaticSyncEnabled | ( | bool? | automaticSyncEnabled | ) | `[inline]`

Whether the library should participate in automatic library synchronization.

In order for automatic synchronization to happen, the global vmware.content.ConfigurationModel.automaticSyncEnabled option must also be true. The subscription is still active even when automatic synchronization is turned off, but synchronization is only activated with an explicit call to vmware.content.SubscribedLibrary.Sync or SubscribedItem.Sync . In other words, manual synchronization is still available even when automatic synchronization is disabled.

void vmware::content::library::SubscriptionInfo::SetOnDemand | ( | bool? | onDemand | ) | `[inline]`

Indicates whether a library item's content will be synchronized only on demand.

If this is set to `true` , then the library item's metadata will be synchronized but the item's content (its files) will not be synchronized. The Content Library Service will synchronize the content upon request only. This can cause the first use of the content to have a noticeable delay.

Items without synchronized content can be forcefully synchronized in advance using the SubscribedItem.Sync call with {@param.name forceSyncContent} set to true. Once content has been synchronized, the content can removed with the SubscribedItem.Evict call.

If this value is set to `false` , all content will be synchronized in advance.

void vmware::content::library::SubscriptionInfo::SetPassword | ( | char[] | password | ) | `[inline]`

The password to use when authenticating.

The password must be set when using a password-based authentication method; empty strings are not allowed.

void vmware::content::library::SubscriptionInfo::SetSslThumbprint | ( | string | sslThumbprint | ) | `[inline]`

An optional SHA-1 hash of the SSL certificate for the remote endpoint.

If this value is defined the SSL certificate will be verified by comparing it to the SSL thumbprint. The SSL certificate must verify against the thumbprint. When specified, the standard certificate chain validation behavior is not used. The certificate chain is validated normally if this value is null.

void vmware::content::library::SubscriptionInfo::SetSubscriptionUrl | ( | global::System.Uri | subscriptionUrl | ) | `[inline]`

The URL of the endpoint where the metadata for the remotely published library is being served.

This URL can be the PublishInfo.publishUrl of the published library (for example, https://server/path/lib.json).

If the source content comes from a published library with PublishInfo.persistJsonEnabled , the subscription URL can be a URL pointing to the library JSON file on a datastore or remote file system. The supported formats are:

vSphere 6.5

- ds:///vmfs/volumes/{uuid}/mylibrary/lib.json (for datastore)
- nfs://server/path/mylibrary/lib.json (for NFSv3 server on vCenter Server Appliance)
- nfs://server/path/mylibrary/lib.json?version=4 (for NFSv4 server on vCenter Server Appliance)
- smb://server/path/mylibrary/lib.json (for SMB server)

vSphere 6.0

- file://server/mylibrary/lib.json (for UNC server on vCenter Server for Windows)
- file:///path/mylibrary/lib.json (for local file system)

When you specify a DS subscription URL, the datastore must be on the same vCenter Server as the subscribed library. When you specify an NFS or SMB subscription URL, the StorageBacking.storageUri of the subscribed library must be on the same remote file server and should share a common parent path with the subscription URL.

void vmware::content::library::SubscriptionInfo::SetUserName | ( | string | userName | ) | `[inline]`

The username to use when authenticating.

The username must be set when using a password-based authentication method. Empty strings are allowed for usernames.

override string vmware::content::library::SubscriptionInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SubscriptionInfo.cs